.map-text {
    position: relative;
    z-index: 1;
    overflow: hidden;
}

.map-text .flex-row {
    align-items: center;
}

.map-text__map,
.map-text__text,
.map-text__map-area {
    position: relative;
    width: 100%;
}

.map-text__map svg,
.map-text__map-area svg {
    width: 100%;
    height: auto;
}

.map-text__text {
    margin-top: 20px;
}

.map-text__left-glow {
    position: absolute;
    z-index: -1;
    width: 170px;
    height: auto;
    left: -90px;
    top: 0;
}

.map-text__right-glow {
    position: absolute;
    z-index: -1;
    width: 153px;
    height: auto;
    right: -84px;
    top: 162px;
}

.map-text__bottom-glow {
    position: absolute;
    z-index: -1;
    width: 303px;
    height: auto;
    left: 33px;
    bottom: -151px;
}

.map-hover {
    cursor: pointer;
}

.map-hover:hover .map-area {
    fill: #98E1AD;
    cursor: pointer;
}

@media (min-width: 768px) {
    .map-text__text {
        margin-top: 32px;
    }

    .map-text__left-glow {
        width: 303px;
        left: -155px;
        top: 0;
    }

    .map-text__right-glow {
        width: 293px;
        right: -177px;
        top: 290px;
    }
}

@media (min-width: 1200px) {

    .map-text .flex-row {
        flex-direction: row-reverse;
    }

    .map-text__map {
        width: calc(100% - 540px);
    }

    .map-text__text {
        width: 540px;
        padding-right: 75px;
    }

    .map-text--full.map-text .flex-row {
        flex-direction: column-reverse;
    }

    .map-text--full .map-text__map {
        width: 100%;
        max-width: 832px;
        margin: 0 auto;
    }

    .map-text--full .map-text__text {
        width: 1048px;
        padding-right: 0;
        margin-bottom: 50px;
    }

    .map-text__text {
        margin-top: 0;
    }

    .map-text__left-glow {
        width: 303px;
        left: -15px;
        top: 0;
    }

    .map-text__right-glow {
        width: 363px;
        right: -119px;
        top: 155px;
    }

    .map-text--full .map-text__left-glow {
        left: -120px;
        top: 54px;
    }

    .map-text--full .map-text__right-glow {
        right: -131px;
        top: 100px;
    }

    .map-text__bottom-glow {
        left: 209px;
        bottom: -135px;
    }
}